Summary:   A remote display system.
Name:      tightvnc-java
Version:   1.3.9
Release:   1
URL:       http://www.tightvnc.com/
Source0:   tightvnc-%{version}_javabin.tar.gz
Source1:   tightvnc-%{version}_javasrc.tar.gz
License:   GPL
Group:     User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures. TightVNC is an enhanced
VNC distribution. This package contains a client which will allow you
to connect to other desktops running a VNC or a TightVNC server.

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q -c %{name}-%{version} 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib/tightvnc

cp -aR classes $RPM_BUILD_ROOT/usr/lib/tightvnc
cp -a $RPM_SOURCE_DIR/tightvnc-%{version}_javasrc.tar.gz $RPM_BUILD_ROOT/usr/lib/tightvnc

%clean
rm -rf $RPM_BUILD_ROOT 

%post
mkdir -p /opt/oc4j/j2ee/home/applications/OVS/webapp1/Class
ln -sf /usr/lib/tightvnc/classes/VncViewer.jar /opt/oc4j/j2ee/home/applications/OVS/webapp1/Class/VncViewer.jar

%preun
[ -e /opt/oc4j/j2ee/home/applications/OVS/webapp1/Class/VncViewer.jar ] && rm /opt/oc4j/j2ee/home/applications/OVS/webapp1/Class/VncViewer.jar
cd /opt
rmdir -p --ignore-fail-on-non-empty oc4j/j2ee/home/applications/OVS/webapp1/Class 

%files
%defattr(-,root,root)
%doc LICENCE.TXT README WhatsNew ChangeLog index.html
/usr/lib/tightvnc/*

%changelog
* Fri Nov 09 2007 Van Okamura <van.okamura@oracle.com>
- package java tightvnc
